'use strict'

const platformTypeAry = ['wap', 'app', 'ba', 'web']

exports.isMobilePlatform = function(type) {
  return /^(wap|app)$/.test(type)
}

exports.isPlatform = function(type) {
  return new RegExp(
    '^(' + platformTypeAry.join('|') + ')$'
  ).test(type)
}

exports.platformNames = function() {
  return platformTypeAry.join(',')
}

Object.freeze(exports)